#
# spec file for package aide (Version 0.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mhash mhash-devel mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           aide
BuildRequires:  mhash-devel zlib-devel
%define		prefix	/usr
Version:        0.11
Release:        12.2
Summary:        Advanced Intrusion Detection Environment
License:        GPL
Group:          Productivity/Security
Source0:        http://www.cs.tut.fi/~rammer/aide-%{version}.tar.bz2
Source1:        aide.conf
Source2:        aide-cron_daily.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://sourceforge.net/projects/aide/

%description
AIDE is an intrusion detection system that checks file integrity.



Authors:
--------
    rammer@cs.tut.fi

%debug_package
%prep
%setup
%{?suse_update_config:%{suse_update_config -l -f}}

%build
CFLAGS="$RPM_OPT_FLAGS"				\
./configure 					\
	--prefix=%{_prefix} 			\
	--sysconfdir=/etc			\
	--mandir=%{_mandir}			\
	--with-config_file=/etc/aide.conf	\
	--with-dbhmactype=md5			\
	--enable-forced_dbmd			\
	--enable-lfs				\
	--with-zlib
# --enable-forced_configmd

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m 700 -d $RPM_BUILD_ROOT/var/lib/aide
install -m 700 -d $RPM_BUILD_ROOT/etc
install -m 600    %{S:1} $RPM_BUILD_ROOT/etc/aide.conf
mkdir -p doc/examples/etc/cron.daily/
cp -a %{S:2} doc/examples/etc/cron.daily/aide.sh
mkdir /var/tmp/aide-test
export TESTDIR=/var/tmp/aide-test
make DESTDIR=$TESTDIR install
install -m 700 -d $TESTDIR/var/lib/aide
install -m 700 -d $TESTDIR/etc
install -m 600    %{S:1} $TESTDIR/etc/aide.conf.new
sed -e "s#/var/lib/aide#$TESTDIR/var/lib/aide#g" <$TESTDIR/etc/aide.conf.new >$TESTDIR/etc/aide.conf
$TESTDIR/usr/bin/aide -c $TESTDIR/etc/aide.conf --init
rm -rf $TESTDIR

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/manual* aide.* doc/examples
%{_prefix}/bin/aide
/%{_mandir}/man1/aide.1.gz
/%{_mandir}/man5/aide.conf.5.gz
/var/lib/aide
%config(noreplace) /etc/aide.conf

%changelog -n aide
* Thu Apr 13 2006 - meissner@suse.de
- run aide --init as test
* Mon Feb 20 2006 - mge@suse.de
- update to 0.11
- fixes bug #149059
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Fri Mar 18 2005 - mge@suse.de
- fixes #71272 - aide-0.10-47 config files not yet converted to utf8
* Mon Jan 26 2004 - mge@suse.de
- upgrade to 0.10
- #33600: more usable default aide.conf
  (thanks to Dirk Mueller <dmuell@gmx.net>)
- example-cron-job
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Nov 13 2002 - ro@suse.de
- fix build for current bison
* Thu Aug 15 2002 - mge@suse.de
- update to 0.9
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
- remove obsolete macros
* Wed Nov 22 2000 - mge@suse.de
- created PAC files
- make SPEC file 7.0 compliant
* Sat Jul 15 2000 - mge@suse.de
- initial SuSE RPM, config file /etc/aide.conf
* Wed Jan 26 2000 - Matthew Kirkwood <weejock@ferret.lmh.ox.ac.uk>
- Fixes for RH 6.1 and sysconfdir changed to /etc and /var/lib/aide added
* Sun Sep 12 1999 - Rami Lehti <rammer@cs.tut.fi>
- Some small changes to make this autogeneratable by configure.
* Sat Sep 11 1999 - Zach Brown <zab@redhat.com>
- First go
